Package org.apache.wiki.providers

## Class NoSuchVersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.api.exceptions.ProviderException
        - - org.apache.wiki.providers.NoSuchVersionException

All Implemented Interfaces:
  `java.io.Serializable`

    public class NoSuchVersionException
    extends ProviderException

Indicates that an non-existing version was specified.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoSuchVersionException​(java.lang.String msg)` Creates a ProviderException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchVersionException

    public NoSuchVersionException​(java.lang.String msg)

Creates a ProviderException.

Parameters:
  `msg` - the exception message.